using System;

internal sealed class Delegate535 : MulticastDelegate
{
	public extern object Invoke(object object_0);

	public static object smethod_0(object object_0, Delegate535 delegate535_1)
	{
		return delegate535_1(object_0);
	}

	public extern Delegate535(object object_0, IntPtr intptr_0);

	static Delegate535()
	{
		Class10.smethod_13(typeof(Delegate535).TypeHandle);
	}

	internal static Delegate535 delegate535_0;
}
